Subject: Re: git email From: parsing (was Re: [GIT PULL] Staging/IIO driver patches for 4.11-rc1)

From: Simon Sandström <[email-masked]>
Date: Thu, 23 Feb 2017 08:59:23 +0100

On Thu, Feb 23, 2017 at 01:17:02AM -0500, Jeff King wrote:
> On Thu, Feb 23, 2017 at 07:04:44AM +0100, Greg KH wrote:
> 
> > 
> > I don't know what happened, I used git for this, I don't use quilt for
> > "normal" patches accepted into my trees anymore, only for stable kernel
> > work.
> > 
> > So either the mail is malformed, or git couldn't figure it out, I've
> > attached the original message below, and cc:ed the git mailing list.
> > 
> > Also, Simon emailed me after this was committed saying something went
> > wrong, but I couldn't go back and rebase my tree.  Simon, did you ever
> > figure out if something was odd on your end?
> > 
> > Git developers, any ideas?
> 
> The problem isn't on the applying end, but rather on the generating end.
> The From header in the attached mbox is:
> 
>   From: =?us-ascii?B?PT9VVEYtOD9xP1NpbW9uPTIwU2FuZHN0cj1DMz1CNm0/PQ==?= <[email-masked]>
> 
> If you de-base64 that, you get:
> 
>   =?UTF-8?q?Simon=20Sandstr=C3=B6m?=
> 
> So something double-encoded it before it got to your mbox.
> 
> -Peff

Hi,

Yes, Mutt on my end caused this. I used Mutt 1.5.23, and I either had
it misconfigured or it simply can't handle files that contains encoded
From:/Subject:-fields when you run it with mutt -H <file>.

I upgraded to Mutt 1.7.1 which solved the problem.

- Simon